Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface DesktopView

All Superinterfaces:
  MarkupBasedView, Serializable, View

public interface DesktopView
extends MarkupBasedView

Method Summary
`BookView` | `getBookView()`
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)`
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)`
`DesktopDefinition` | `getDesktopDefinition()`
`DesktopDefinitionId` | `getDesktopDefinitionId()`
`DesktopInstance` | `getDesktopInstance()`
`DesktopInstanceId` | `getDesktopInstanceId()`
`LocalizationResourceView` | `getLocalizationResourceView()`
`LookAndFeelView` | `getLookAndFeelView()`
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)`
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)`
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)` Given the supplied portlet instance id search the entire desktop for a portlet matching the given instance id.
`PortletView` | `getPortletViewRecursive(String instanceLabel)` Given the supplied portlet instance label search the entire desktop for a portlet matching the given instance label.
`ShellView` | `getShellView()`

Methods inherited from interface com.bea.netuix.application.view.MarkupBasedView
`getMarkupView`

Methods inherited from interface com.bea.netuix.application.view.View
`getDescription, getTitle`

Method Detail

### getDesktopInstanceId

    public DesktopInstanceId getDesktopInstanceId()

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()

### getDesktopInstance

    public DesktopInstance getDesktopInstance()

### getDesktopDefinition

    public DesktopDefinition getDesktopDefinition()

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView()

### getShellView

    public ShellView getShellView()

### getBookView

    public BookView getBookView()

### getLookAndFeelView

    public LookAndFeelView getLookAndFeelView()

### getBookViewRecursive

    public BookView getBookViewRecursive(BookInstanceId bookInstanceId)

### getBookViewRecursive

    public BookView getBookViewRecursive(String bookDefinitionLabel)

### getPageViewRecursive

    public PageView getPageViewRecursive(PageInstanceId pageInstanceId)

### getPageViewRecursive

    public PageView getPageViewRecursive(String pageDefinitionLabel)

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

  Given the supplied portlet instance id search the entire desktop for a portlet matching the given instance id.

  Parameters:
    `portletInstanceId` - as defined in the database.
  Returns:
    a portletView if found otherwise null

### getPortletViewRecursive

    public PortletView getPortletViewRecursive(String instanceLabel)

  Given the supplied portlet instance label search the entire desktop for a portlet matching the given instance label.

  Parameters:
    `instanceLabel` - as defined on the netuix:portletInstance control
  Returns:
    a portletView if found otherwise null

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved